unit pptExt;

interface

uses
  AnyQBase,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, Animate, GIFCtrl;

type
  TFrmPPTExt = class(TAnyQBaseForm)
    RxGIFAnimator1: TRxGIFAnimator;
    lbStatus: TLabel;
    ComboBox1: TComboBox;
    sBFirst: TSpeedButton;
    sbPrevious: TSpeedButton;
    sbNext: TSpeedButton;
    sbLast: TSpeedButton;
    sbSync: TSpeedButton;
    sbFullscreen: TSpeedButton;
    sbClose: TSpeedButton;
    sbJump: TSpeedButton;
    procedure sBFirstClick(Sender: TObject);
    procedure sbPreviousClick(Sender: TObject);
    procedure sbNextClick(Sender: TObject);
    procedure sbLastClick(Sender: TObject);
    procedure sbSyncClick(Sender: TObject);
    procedure sbFullscreenClick(Sender: TObject);
    procedure sbCloseClick(Sender: TObject);
    procedure sbJumpClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    _ConsoleForm: TCustomForm;
    { Public declarations }
  end;

var
  FrmPPTExt: TFrmPPTExt;

implementation

uses pptConsole, Jabber1;

{$R *.dfm}

procedure TFrmPPTExt.sBFirstClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbFirst.Click;
end;

procedure TFrmPPTExt.sbPreviousClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbPrevious.Click;
end;

procedure TFrmPPTExt.sbNextClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbNext.Click;
end;

procedure TFrmPPTExt.sbLastClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbLast.Click;
end;

procedure TFrmPPTExt.sbSyncClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbSync.Click;
end;

procedure TFrmPPTExt.sbFullscreenClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).fullScreen;
end;

procedure TFrmPPTExt.sbCloseClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).tbClose.Click;
end;

procedure TFrmPPTExt.sbJumpClick(Sender: TObject);
begin
  if _ConsoleForm<>nil then
    TfrmPPT(_ConsoleForm).goPage(ComboBox1.ItemIndex+1);
end;

procedure TFrmPPTExt.FormShow(Sender: TObject);
begin
  if frmAnyQ.SkinData1.Active then
    frmAnyQ.SkinData1.SkinForm(self.Handle);
end;

end.
